import s3 = require('@aws-cdk/aws-s3');
import sqs = require('@aws-cdk/aws-sqs');
import { Construct } from '@aws-cdk/core';
/**
 * Use an SQS queue as a bucket notification destination
 */
export declare class SqsDestination implements s3.IBucketNotificationDestination {
    private readonly queue;
    constructor(queue: sqs.IQueue);
    /**
     * Allows using SQS queues as destinations for bucket notifications.
     * Use `bucket.onEvent(event, queue)` to subscribe.
     */
    bind(_scope: Construct, bucket: s3.IBucket): s3.BucketNotificationDestinationConfig;
}
